跳到主内容

GET /v1/douyin/search/video_v4

抖音视频搜索 API (V4)

stable · 10 credits / 次(成功才计)

按关键词搜索抖音视频,支持排序、发布时间、时长和分页筛选;后续页面需要上一页的搜索ID。用于支持内容发现和趋势研究。

注册即送 500 credits,用自己的 Key 试调。 免费注册

请求

curl
curl -s 'https://api.wellbyte.net/v1/douyin/search/video_v4?page=1&keyword=%E5%92%96%E5%95%A1&duration=_0&searchId=demo&sortType=_0&publishTime=_0' \
  -H "Authorization: Bearer dg_live_…"

响应

示例采集于 2026-09-23

data{
code:0
data{
log{ 3 items }
path:"/aweme/v2/search/item/"
extra{ 6 items }
log_pb{ 1 item }
struct{ 4 items }
success:true
time_cost{ 1 item }
render_info[ 2 items ]
status_code:0
business_data[ 2 items ]
global_config{ 2 items }
business_config{ 16 items }
mock_recall_path:"/aweme/v2/search/item/"
}
meta{
endpoint:"douyin.search.video_v4"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

请求历史

打开完整日志

还没有调用记录。先跑通一次,再换成你的数据。

    请求参数

    参数类型位置必填说明示例
    pageintegerquery否页码(从1开始)。1
    keywordstringquery是搜索关键词。咖啡
    durationstringquery否按视频时长筛选。 可用值: - `_0`: 不限时长 - `_1`: 1分钟以内 - `_2`: 1-5分钟 - `_3`: 超过5分钟_0
    searchIdstringquery否搜索ID;页面大于1时需要。使用前一次响应中的 data.business_config.next_page.search_id,当 data.business_config.has_more 为 0 时停止分页。demo
    sortTypestringquery否搜索结果排序标准。 可用值: - `_0`:综合 - `_1`:点赞最多 - `_2`:最新_0
    publishTimestringquery否按视频发布时间范围筛选。 可用值: - `_0`: 不限 - `_1`: 最近24小时 - `_7`: 最近7天 - `_180`: 最近6个月_0

    响应字段

    字段字典待补 —— 右侧可执行区可直接看到真实结构。

    错误码

    codeHTTP含义是否计费
    40001400参数缺失或格式错误否
    40102401API Key 无效或已吊销否
    40201402余额不足,请充值否
    40402404目标资源不存在否
    42201422质量门槛未通过否
    42901429超出速率限制否
    50401504上游超时否
    50201502上游返回异常否

    计费

    成功扣 10 credits;任何失败(含返回 200 但未过质量门槛)扣 0。

    全部抖音端点 →

    搜索

    搜索端点与文档